Skip to main content
GET
Get provider

Path Parameters

provider
string
required

The provider name (e.g. salesforce, hubspot).

Response

The requested provider.

name
string
required
authType
enum<string>
required

The type of authentication required by the provider.

Available options:
oauth2,
apiKey,
basic,
jwt,
custom,
none
baseURL
string
required

The base URL for making API requests.

defaultModule
string
required
support
Support · object
required

The supported features for the provider.

oauth2Opts
OAuth2 Options · object

Configuration for OAuth2.0. Must be provided if authType is oauth2.

apiKeyOpts
API Key Options · object

Configuration for API key. Must be provided if authType is apiKey.

basicOpts
Basic Auth Options · object

Configuration for Basic Auth. Optional.

customOpts
Custom Auth Options · object

Configuration for custom auth. Optional.

authHealthCheck
Auth Health Check · object

A URL to check the health of a provider's credentials. It's used to see if the credentials are valid and if the provider is reachable.

displayName
string

The display name of the provider, if omitted, defaults to provider name.

Example:

"Zendesk Chat"

postAuthInfoNeeded
boolean

If true, we require additional information after auth to start making requests.

Example:

true

media
Media · object
labels
Labels · object
subscribeRequirements
Subscribe Requirements · object

Declares which auxiliary steps a provider requires to support subscriptions, beyond the per-object subscribe call itself.

modules
Modules that this provider supports · object

The registry of provider modules.

metadata
Provider Metadata · object

Provider metadata that needs to be given by the user or fetched by the connector post authentication for the connector to work.

providerAppMetadata
Provider App Metadata · object

Describes the provider-app-level fields that the Ampersand dashboard should collect from the builder when creating a ProviderApp for this provider. These descriptors tell the dashboard which form fields to render; the submitted values are stored in ProviderApp.metadata.